package dk.nsp.idsas.ws;

import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.GetOrgsToBlurRequestType;
import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.IdsasOrganisationServicePortType;
import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.OrgsToBlurResponseType;
import org.apache.log4j.Logger;

import javax.jws.WebService;
import javax.servlet.annotation.WebServlet;
import javax.xml.ws.BindingType;
import javax.xml.ws.soap.Addressing;

import static javax.xml.ws.soap.SOAPBinding.SOAP11HTTP_BINDING;

@WebServlet(name="IdsasOrganisationService", urlPatterns={"/organisations"})
@WebService(serviceName = "IdsasOrganisationService", wsdlLocation = "wsdl/idsas-organisations.wsdl",
        targetNamespace = "http://sundhedsdatastyrelsen.dk/identitetssloering/2023/06/01/",
        portName = "IdsasOrganisationServicePort")
@BindingType(value = SOAP11HTTP_BINDING)
@Addressing(enabled = true, required = false)
public class IdsasOrganisationServiceWS extends IdsasAbstractWS implements IdsasOrganisationServicePortType {
    private static final Logger logger = Logger.getLogger(IdsasOrganisationServiceWS.class);

    @Override
    public OrgsToBlurResponseType getOrgsToBlur(GetOrgsToBlurRequestType getOrgsToBlurRequest) {
        logger.info(String.format("Enter get organisations to blur for patient %s", getOrgsToBlurRequest.getPatientId().getId()));
        return new OrgsToBlurResponseType();
    }
}
